var pdos=[];
var pdos_country=[];


/**
 * Busca la lista de partidos
 * @param callback es una function donde respondera el getAllpartidos ==> Partidos_getAllpartidos(function(e){alert("lll " + e[0].partido);});
 */
function Partidos_getAllpartidos(callback)
{
	if(pdos.length ==0){
		$.ajaxSetup({scriptCharset: "utf-8" , contentType: "application/json; charset=utf-8", cache: true });
		$.getJSON("partido/loadPartidos", function( data ) {
			pdos = eval(data);
			callback(pdos);
		});
	}
	else
		callback(pdos);
	
}
	
/**
 * Agrega al select pasado por parametro (elementId) los options con los partidos
 * 
 * @param elementId
 */
function Partidos_addPartidosInSelect(elementId) {

	
	if($('#' + elementId).find("option").length == 0){
		
		Partidos_getAllpartidos(function(e){
			
			if(e.length >0)
				$('#' + elementId).append('<option value=\'\'></option>');		
			$.each( e, function(id, elemetPartido ) {
				$('#' + elementId).append('<option value =' + elemetPartido.partido + '>' + elemetPartido.partido + '- ' + elemetPartido.nombre + '</option>');
			});
			
			
			
			$('#' + elementId).trigger("chosen:updated");
			
		});
		return true;
	}
	else
		return false;

}	



/**
 * Busca la lista de partidos que poseen countries
 * @param callback es una function donde respondera el Partidos_getAllpartidosCountry ==> Partidos_getAllpartidosCountry(function(e){alert("lll " + e[0].partido);});
 */
function Partidos_getAllpartidosCountry(callback)
{
	if(pdos_country.length ==0)
	{
		$.ajaxSetup({scriptCharset: "utf-8" , contentType: "application/json; charset=utf-8", cache: true });
		$.getJSON("partido/loadPartidosCountry", function( data ) {
			pdos_country = eval(data);
			callback(pdos_country);
		}); 
	}
	else
		callback(pdos_country);
	
}

/**
 * Agrega al select pasado por parametro (elementId) los options con los partidos que poseen countries
 * 
 * @param elementId
 */
function Partidos_addPartidosCountryInSelect(elementIdc) {

	if($('#' + elementIdc).find("option").length == 0)
	{ 
	
		Partidos_getAllpartidosCountry(function(e){
			if(e.length >0)
				$('#' + elementIdc).append('<option value=\'\'></option>');
			$.each( e, function(id, elemetPartido ) {
				var option = $('<option>').text(elemetPartido.partido + '- ' + elemetPartido.nombre).val(elemetPartido.partido);
				$('#' + elementIdc).append(option);
			});	
			$('#' + elementIdc).trigger("chosen:updated");
		});
		return true;
	}
	else
		return false;
}

